------------------------------------------------------------
-- VHDL FPGAFilterDummy2
-- 2007 11 16 16 23 6
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAFilterDummy2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAFilterDummy2 Is
  port
  (
    CFG_BRD : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_BRD
    CFG_CLK : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SO
    CLK     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CLK
    DI      : In    STD_LOGIC_VECTOR(5 TO 6);                -- ObjectKind=Port|PrimaryId=DI[5..6]
    DO      : Out   STD_LOGIC_VECTOR(5 TO 6);                -- ObjectKind=Port|PrimaryId=DO[5..6]
    FAIL    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=FAIL
    IND     : Out   STD_LOGIC_VECTOR(5 TO 6);                -- ObjectKind=Port|PrimaryId=IND[5..6]
    INS     : Out   STD_LOGIC_VECTOR(1 TO 28);               -- ObjectKind=Port|PrimaryId=INS[1..28]
    INU     : Out   STD_LOGIC_VECTOR(1 TO 6);                -- ObjectKind=Port|PrimaryId=INU[1..6]
    MSOI    : In    STD_LOGIC_VECTOR(7 DOWNTO 0);            -- ObjectKind=Port|PrimaryId=MSOI[7..0]
    MSOO    : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);            -- ObjectKind=Port|PrimaryId=MSOO[7..0]
    MSOT    : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);            -- ObjectKind=Port|PrimaryId=MSOT[7..0]
    SI      : In    STD_LOGIC_VECTOR(1 TO 28);               -- ObjectKind=Port|PrimaryId=SI[1..28]
    SO      : Out   STD_LOGIC_VECTOR(1 TO 28);               -- ObjectKind=Port|PrimaryId=SO[1..28]
    STRAP0  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=STRAP0
    STRAP1  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=STRAP1
    STRAP2  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=STRAP2
    STRAP3  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=STRAP3
    STRAP4  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=STRAP4
    SYNC    : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=SYNC
    UCLK    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=UCLK
    UI      : In    STD_LOGIC_VECTOR(1 TO 6);                -- ObjectKind=Port|PrimaryId=UI[1..6]
    UO      : Out   STD_LOGIC_VECTOR(1 TO 6)                 -- ObjectKind=Port|PrimaryId=UO[1..6]
  );
  attribute MacroCell : boolean;

End FPGAFilterDummy2;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of FPGAFilterDummy2 is
   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U50|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U50-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U50-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U50-O
      );
   End Component;

   Component AND4S                                           -- ObjectKind=Part|PrimaryId=U59|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U59-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U59-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U59-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U59-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U59-O
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U54|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U54-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U54-O
      );
   End Component;

   Component INV2B                                           -- ObjectKind=Part|PrimaryId=U51|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(1 downto 0);                -- ObjectKind=Pin|PrimaryId=U51-I[1..0]
        O : out STD_LOGIC_VECTOR(1 downto 0)                 -- ObjectKind=Pin|PrimaryId=U51-O[1..0]
      );
   End Component;

   Component INV6B                                           -- ObjectKind=Part|PrimaryId=U52|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(5 downto 0);                -- ObjectKind=Pin|PrimaryId=U52-I[5..0]
        O : out STD_LOGIC_VECTOR(5 downto 0)                 -- ObjectKind=Pin|PrimaryId=U52-O[5..0]
      );
   End Component;

   Component INV8B                                           -- ObjectKind=Part|PrimaryId=U58|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U58-I[7..0]
        O : out STD_LOGIC_VECTOR(7 downto 0)                 -- ObjectKind=Pin|PrimaryId=U58-O[7..0]
      );
   End Component;

   Component INV32B                                          -- ObjectKind=Part|PrimaryId=U53|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(31 downto 0);               -- ObjectKind=Pin|PrimaryId=U53-I[31..0]
        O : out STD_LOGIC_VECTOR(31 downto 0)                -- ObjectKind=Pin|PrimaryId=U53-O[31..0]
      );
   End Component;


    Signal NamedSignal_GND1_BUS     : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_JoinA_JB_C1  : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=DO[5..6]
    Signal NamedSignal_JoinA_JB_C10 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU53_I[31..0]
    Signal NamedSignal_JoinA_JB_C2  : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=DI[5..6]
    Signal NamedSignal_JoinA_JB_C3  : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=IND[5..6]
    Signal NamedSignal_JoinA_JB_C4  : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=INU[1..6]
    Signal NamedSignal_JoinA_JB_C5  : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=UO[1..6]
    Signal NamedSignal_JoinA_JB_C6  : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=UI[1..6]
    Signal NamedSignal_JoinA_JB_C7  : STD_LOGIC_VECTOR(1 to 28); -- ObjectKind=Net|PrimaryId=SI[1..28]
    Signal NamedSignal_JoinA_JB_C8  : STD_LOGIC_VECTOR(1 to 28); -- ObjectKind=Net|PrimaryId=SO[1..28]
    Signal NamedSignal_JoinA_JB_C9  : STD_LOGIC_VECTOR(1 to 28); -- ObjectKind=Net|PrimaryId=INS[1..28]
    Signal NamedSignal_JoinB_JB_C2  : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU51_I[1..0]
    Signal NamedSignal_JoinB_JB_C3  : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU51_O[1..0]
    Signal NamedSignal_JoinB_JB_C5  : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU52_O[5..0]
    Signal NamedSignal_JoinB_JB_C6  : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU52_I[5..0]
    Signal NamedSignal_JoinB_JB_C9  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU53_O[31..0]
    Signal PinSignal_U50_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU50_O
    Signal PinSignal_U51_O          : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU51_O[1..0]
    Signal PinSignal_U52_O          : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU52_O[5..0]
    Signal PinSignal_U53_O          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU53_O[31..0]
    Signal PinSignal_U54_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU54_O
    Signal PinSignal_U55_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU55_O
    Signal PinSignal_U57_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU57_O
    Signal PinSignal_U58_O          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    Signal PinSignal_U59_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU57_I0

begin
    U59 : AND4S                                              -- ObjectKind=Part|PrimaryId=U59|SecondaryId=1
      Port Map
      (
        I0 => STRAP0,                                        -- ObjectKind=Pin|PrimaryId=U59-I0
        I1 => STRAP1,                                        -- ObjectKind=Pin|PrimaryId=U59-I1
        I2 => STRAP2,                                        -- ObjectKind=Pin|PrimaryId=U59-I2
        I3 => STRAP3,                                        -- ObjectKind=Pin|PrimaryId=U59-I3
        O  => PinSignal_U59_O                                -- ObjectKind=Pin|PrimaryId=U59-O
      );

    U58 : INV8B                                              -- ObjectKind=Part|PrimaryId=U58|SecondaryId=1
      Port Map
      (
        I => MSOI,                                           -- ObjectKind=Pin|PrimaryId=U58-I[7..0]
        O => PinSignal_U58_O                                 -- ObjectKind=Pin|PrimaryId=U58-O[7..0]
      );

    U57 : AND2S                                              -- ObjectKind=Part|PrimaryId=U57|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U59_O,                               -- ObjectKind=Pin|PrimaryId=U57-I0
        I1 => STRAP4,                                        -- ObjectKind=Pin|PrimaryId=U57-I1
        O  => PinSignal_U57_O                                -- ObjectKind=Pin|PrimaryId=U57-O
      );

    U55 : INV                                                -- ObjectKind=Part|PrimaryId=U55|SecondaryId=1
      Port Map
      (
        I => CFG_BRD,                                        -- ObjectKind=Pin|PrimaryId=U55-I
        O => PinSignal_U55_O                                 -- ObjectKind=Pin|PrimaryId=U55-O
      );

    U54 : INV                                                -- ObjectKind=Part|PrimaryId=U54|SecondaryId=1
      Port Map
      (
        I => CFG_SI,                                         -- ObjectKind=Pin|PrimaryId=U54-I
        O => PinSignal_U54_O                                 -- ObjectKind=Pin|PrimaryId=U54-O
      );

    U53 : INV32B                                             -- ObjectKind=Part|PrimaryId=U53|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinA_JB_C10,                       -- ObjectKind=Pin|PrimaryId=U53-I[31..0]
        O => PinSignal_U53_O                                 -- ObjectKind=Pin|PrimaryId=U53-O[31..0]
      );

    U52 : INV6B                                              -- ObjectKind=Part|PrimaryId=U52|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C6,                        -- ObjectKind=Pin|PrimaryId=U52-I[5..0]
        O => PinSignal_U52_O                                 -- ObjectKind=Pin|PrimaryId=U52-O[5..0]
      );

    U51 : INV2B                                              -- ObjectKind=Part|PrimaryId=U51|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C2,                        -- ObjectKind=Pin|PrimaryId=U51-I[1..0]
        O => PinSignal_U51_O                                 -- ObjectKind=Pin|PrimaryId=U51-O[1..0]
      );

    U50 : AND2S                                              -- ObjectKind=Part|PrimaryId=U50|SecondaryId=1
      Port Map
      (
        I0 => CLK,                                           -- ObjectKind=Pin|PrimaryId=U50-I0
        I1 => SYNC,                                          -- ObjectKind=Pin|PrimaryId=U50-I1
        O  => PinSignal_U50_O                                -- ObjectKind=Pin|PrimaryId=U50-O
      );

    -- Signal Assignments
    ---------------------
    CFG_CLK                                <= PinSignal_U55_O; -- ObjectKind=Net|PrimaryId=NetU55_O
    CFG_CS                                 <= PinSignal_U57_O; -- ObjectKind=Net|PrimaryId=NetU57_O
    CFG_SO                                 <= PinSignal_U54_O; -- ObjectKind=Net|PrimaryId=NetU54_O
    DO                                     <= NamedSignal_JoinA_JB_C1; -- ObjectKind=Net|PrimaryId=DO[5..6]
    FAIL                                   <= PinSignal_U59_O; -- ObjectKind=Net|PrimaryId=NetU57_I0
    IND                                    <= NamedSignal_JoinA_JB_C3; -- ObjectKind=Net|PrimaryId=IND[5..6]
    INS                                    <= NamedSignal_JoinA_JB_C9; -- ObjectKind=Net|PrimaryId=INS[1..28]
    INU                                    <= NamedSignal_JoinA_JB_C4; -- ObjectKind=Net|PrimaryId=INU[1..6]
    MSOO                                   <= PinSignal_U58_O; -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    MSOT                                   <= PinSignal_U58_O; -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    NamedSignal_GND1_BUS                   <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_JoinA_JB_C1                <= NamedSignal_JoinB_JB_C3;
    NamedSignal_JoinA_JB_C10(27 downto 0)  <= NamedSignal_JoinA_JB_C7;
    NamedSignal_JoinA_JB_C10(31 downto 28) <= NamedSignal_GND1_BUS;
    NamedSignal_JoinA_JB_C2                <= DI; -- ObjectKind=Net|PrimaryId=DI[5..6]
    NamedSignal_JoinA_JB_C3                <= NamedSignal_JoinB_JB_C3;
    NamedSignal_JoinA_JB_C4                <= NamedSignal_JoinB_JB_C5;
    NamedSignal_JoinA_JB_C5                <= NamedSignal_JoinB_JB_C5;
    NamedSignal_JoinA_JB_C6                <= UI; -- ObjectKind=Net|PrimaryId=UI[1..6]
    NamedSignal_JoinA_JB_C7                <= SI; -- ObjectKind=Net|PrimaryId=SI[1..28]
    NamedSignal_JoinA_JB_C8                <= NamedSignal_JoinB_JB_C9(27 downto 0);
    NamedSignal_JoinA_JB_C9                <= NamedSignal_JoinB_JB_C9(27 downto 0);
    NamedSignal_JoinB_JB_C2                <= NamedSignal_JoinA_JB_C2;
    NamedSignal_JoinB_JB_C3                <= PinSignal_U51_O; -- ObjectKind=Net|PrimaryId=NetU51_O[1..0]
    NamedSignal_JoinB_JB_C5                <= PinSignal_U52_O; -- ObjectKind=Net|PrimaryId=NetU52_O[5..0]
    NamedSignal_JoinB_JB_C6                <= NamedSignal_JoinA_JB_C6;
    NamedSignal_JoinB_JB_C9                <= PinSignal_U53_O; -- ObjectKind=Net|PrimaryId=NetU53_O[31..0]
    SO                                     <= NamedSignal_JoinA_JB_C8; -- ObjectKind=Net|PrimaryId=SO[1..28]
    UCLK                                   <= PinSignal_U50_O; -- ObjectKind=Net|PrimaryId=NetU50_O
    UO                                     <= NamedSignal_JoinA_JB_C5; -- ObjectKind=Net|PrimaryId=UO[1..6]

end structure;
------------------------------------------------------------

